Zum Hauptinhalt springen
GET
/
cms
/
v3
/
pages
/
landing-pages
/
{objectId}
/
revisions
/
{revisionId}
Eine vorherige Version einer Landingpage abrufen
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/{objectId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": {
    "abTestId": "<string>",
    "archivedAt": "2023-11-07T05:31:56Z",
    "archivedInDashboard": true,
    "attachedStylesheets": [
      {}
    ],
    "authorName": "<string>",
    "campaign": "<string>",
    "categoryId": 123,
    "contentGroupId": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "currentlyPublished": true,
    "domain": "<string>",
    "dynamicPageDataSourceId": "<string>",
    "dynamicPageDataSourceType": 123,
    "dynamicPageHubDbTableId": "<string>",
    "enableDomainStylesheets": true,
    "enableLayoutStylesheets": true,
    "featuredImage": "<string>",
    "featuredImageAltText": "<string>",
    "folderId": "<string>",
    "footerHtml": "<string>",
    "headHtml": "<string>",
    "htmlTitle": "<string>",
    "id": "<string>",
    "includeDefaultCustomCss": true,
    "layoutSections": {},
    "linkRelCanonicalUrl": "<string>",
    "mabExperimentId": "<string>",
    "metaDescription": "<string>",
    "name": "<string>",
    "pageExpiryDate": 123,
    "pageExpiryEnabled": true,
    "pageExpiryRedirectId": 123,
    "pageExpiryRedirectUrl": "<string>",
    "pageRedirected": true,
    "password": "<string>",
    "publicAccessRules": [
      {}
    ],
    "publicAccessRulesEnabled": true,
    "publishDate": "2023-11-07T05:31:56Z",
    "publishImmediately": true,
    "slug": "<string>",
    "state": "<string>",
    "subcategory": "<string>",
    "templatePath": "<string>",
    "themeSettingsValues": {},
    "translatedFromId": "<string>",
    "translations": {},
    "updated": "2023-11-07T05:31:56Z",
    "updatedById": "<string>",
    "url": "<string>",
    "useFeaturedImage": true,
    "widgetContainers": {},
    "widgets": {}
  },
  "updatedAt": "2023-11-07T05:31:56Z",
  "user": {
    "email": "<string>",
    "fullName": "<string>",
    "id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectId
string
erforderlich
revisionId
string
erforderlich

Antwort

successful operation

id
string
erforderlich
object
object
erforderlich

Model definition for a landing page or site page.

updatedAt
string<date-time>
erforderlich
user
object
erforderlich

Model definition for a version user. Contains addition information about the user who created a version.

Last modified on April 13, 2026